Subject: Re: bug#13636: 24.3.50; tramp+ftp broken

From: Michael Albinus <[email-masked]>
Date: Thu, 07 Feb 2013 09:56:25 +0100

Thierry Volpiatto <[email-masked]> writes:

> Hi Michael,

Hi Thierry,

> It is working with your patch but only when I eval manually the function
> you patched.

vc-hooks.el is dumped into Emacs. You must run make, and restart Emacs.

> Also maybe equality should be tested here with file-equal-p ?

Maybe. But `file-equal-p' calls `file-truename'. I suspect performance
matters, that's why `buffer-file-truename' is used. So it might be a
problem to use `file-equal-p' here.

I've committed my patch to the trunk, closing this bug.

Best regards, Michael.